<?php

/**
 * Swagger Petstore
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 * PHP version 7.2.5
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI-Generator
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 * Source files are located at:
 *
 * > https://github.com/OpenAPITools/openapi-generator/blob/master/modules/openapi-generator/src/main/resources/php-laravel/
 */


use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/**
 * post createPets
 * Summary: Create a pet
 * Notes: 
 * Output-Formats: [application/json]
 */
Route::post('/v1/pets', 'PetsController@createPets');
/**
 * get listPets
 * Summary: List all pets
 * Notes: 
 * Output-Formats: [application/json]
 */
Route::get('/v1/pets', 'PetsController@listPets');
/**
 * get showPetById
 * Summary: Info for a specific pet
 * Notes: 
 * Output-Formats: [application/json]
 */
Route::get('/v1/pets/{petId}', 'PetsController@showPetById');

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});
